<Project Sdk="Microsoft.NET.Sdk.Web">

	<PropertyGroup>
		<TargetFramework>net10.0</TargetFramework>
		<Nullable>enable</Nullable>
		<ImplicitUsings>enable</ImplicitUsings>
		<!--<PublishTrimmed>true</PublishTrimmed>-->

		<RunAOTCompilation>true</RunAOTCompilation>
		<WasmStripILAfterAOT>true</WasmStripILAfterAOT>
		<OverrideHtmlAssetPlaceholders>true</OverrideHtmlAssetPlaceholders>
	</PropertyGroup>

	<ItemGroup>
		<ProjectReference Include="..\FruitBank.Common.Server\FruitBank.Common.Server.csproj" />
		<ProjectReference Include="..\FruitBank.Common\FruitBank.Common.csproj" />
		<ProjectReference Include="..\FruitBankHybrid.Shared.Common\FruitBankHybrid.Shared.Common.csproj" />
		<ProjectReference Include="..\FruitBankHybrid.Shared\FruitBankHybrid.Shared.csproj" />
		<ProjectReference Include="..\FruitBankHybrid.Web.Client\FruitBankHybrid.Web.Client.csproj" />

		<PackageReference Include="DevExpress.Blazor" Version="25.1.3" />
		<PackageReference Include="MessagePack" Version="3.1.4" />
		<PackageReference Include="MessagePack.Annotations" Version="3.1.4" />
		<PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly.Server" Version="10.0.0" />
		<PackageReference Include="Microsoft.AspNetCore.SignalR.Protocols.NewtonsoftJson" Version="9.0.11" />
		<PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
	</ItemGroup>

	<ItemGroup>
		<Reference Include="AyCode.Core">
			<HintPath>..\..\..\..\Aycode\Source\AyCode.Core\AyCode.Services.Server\bin\FruitBank\$(Configuration)\net9.0\AyCode.Core.dll</HintPath>
		</Reference>
		<Reference Include="AyCode.Core.Server">
			<HintPath>..\..\..\..\Aycode\Source\AyCode.Core\AyCode.Services.Server\bin\FruitBank\$(Configuration)\net9.0\AyCode.Core.Server.dll</HintPath>
		</Reference>
		<Reference Include="AyCode.Entities">
			<HintPath>..\..\..\..\Aycode\Source\AyCode.Core\AyCode.Services.Server\bin\FruitBank\$(Configuration)\net9.0\AyCode.Entities.dll</HintPath>
		</Reference>
		<Reference Include="AyCode.Entities.Server">
			<HintPath>..\..\..\..\Aycode\Source\AyCode.Core\AyCode.Services.Server\bin\FruitBank\$(Configuration)\net9.0\AyCode.Entities.Server.dll</HintPath>
		</Reference>
		<Reference Include="AyCode.Interfaces">
			<HintPath>..\..\..\..\Aycode\Source\AyCode.Core\AyCode.Services.Server\bin\FruitBank\$(Configuration)\net9.0\AyCode.Interfaces.dll</HintPath>
		</Reference>
		<Reference Include="AyCode.Interfaces.Server">
			<HintPath>..\..\..\..\Aycode\Source\AyCode.Core\AyCode.Services.Server\bin\FruitBank\$(Configuration)\net9.0\AyCode.Interfaces.Server.dll</HintPath>
		</Reference>
		<Reference Include="AyCode.Models">
			<HintPath>..\..\..\..\Aycode\Source\AyCode.Core\AyCode.Services.Server\bin\FruitBank\$(Configuration)\net9.0\AyCode.Models.dll</HintPath>
		</Reference>
		<Reference Include="AyCode.Models.Server">
			<HintPath>..\..\..\..\Aycode\Source\AyCode.Core\AyCode.Services.Server\bin\FruitBank\$(Configuration)\net9.0\AyCode.Models.Server.dll</HintPath>
		</Reference>
		<Reference Include="AyCode.Services">
			<HintPath>..\..\..\..\Aycode\Source\AyCode.Core\AyCode.Services.Server\bin\FruitBank\$(Configuration)\net9.0\AyCode.Services.dll</HintPath>
		</Reference>
		<Reference Include="AyCode.Services.Server">
			<HintPath>..\..\..\..\Aycode\Source\AyCode.Core\AyCode.Services.Server\bin\FruitBank\$(Configuration)\net9.0\AyCode.Services.Server.dll</HintPath>
		</Reference>
		<Reference Include="AyCode.Utils">
			<HintPath>..\..\..\..\Aycode\Source\AyCode.Core\AyCode.Services.Server\bin\FruitBank\$(Configuration)\net9.0\AyCode.Utils.dll</HintPath>
		</Reference>
		<Reference Include="DevExpress.Blazor.Resources.v25.1">

		</Reference>
		<Reference Include="DevExpress.Blazor.v25.1">

		</Reference>
		<Reference Include="DevExpress.Blazor.v25.1.Viewer">

		</Reference>
		<Reference Include="DevExpress.Data.v25.1">

		</Reference>
		<Reference Include="DevExpress.Utils.v25.1">

		</Reference>
		<Reference Include="Mango.Nop.Core">
		  <HintPath>..\..\NopCommerce.Common\4.70\Libraries\Mango.Nop.Core\bin\FruitBank\$(Configuration)\net9.0\Mango.Nop.Core.dll</HintPath>
		</Reference>
	</ItemGroup>

	<ItemGroup>
		<Folder Include="Controllers\" />
		<Folder Include="Services\SignalRs\" />
	</ItemGroup>



</Project>